#!/bin/sh -l
# Dokku wrapper script, based from https://github.com/dokku/ci-docker-image/issues/24#issuecomment-1211264189
# by @mcgaw on GitHub
set -e

check_command() {
  if ! command -v "$1" >/dev/null 2>&1; then
    echo "Error: '$1' not found. Ensure the script is executed in the dokku/ci-docker-image environment." >&2
    exit 1
  fi
}

check_command setup-ssh
check_command parse-ci-commit
check_command parse-app-name
check_command parse-ssh-host
check_command parse-ssh-port
check_command ssh

setup-ssh

commit_sha="$(parse-ci-commit)"
app_name="$(parse-app-name)"
ssh_remote="ssh://dokku@$(parse-ssh-host):$(parse-ssh-port)"

echo "⚙ Deploying $app_name version $commit_sha using Dokku via SSH to $ssh_remote ..."

# TODO: #@ is not compatible with /bin/sh!
# TODO: Or, just write all deploy commands in GitLab CI yaml
ssh "$ssh_remote" -- "#@"
