#!/usr/bin/env bash
set -eo pipefail

export DOKKU_HOST=${DOKKU_HOST:=}
export DOKKU_PORT=${DOKKU_PORT:=22}
export DOKKU_VERSION=${DOKKU_VERSION:=master}

[[ -z "$DOKKU_HOST" ]] && echo "DOKKU_HOST is required and must be set as an environment variable" >&2 && exit 1

echo "Cloning Dokku client script (version $DOKKU_VERSION) into /opt/dokku ..."
git clone --single-branch --branch "$DOKKU_VERSION" \
  https://github.com/dokku/dokku.git /opt/dokku

echo "Creating a symbolic link to '/opt/dokku/contrib/dokku_client.sh' ..."
chmod +x /opt/dokku/contrib/dokku_client.sh
ln -s /opt/dokku/contrib/dokku_client.sh /usr/local/bin/dokku

echo "Completed setting up Dokku client on the CI environment"
